<template>
  <div>
    <div class='ready-mode container'>
      <h2 class='base-title'>{{ $t('title')}}</h2>
      <div class='ready-mode__wrap'>
        <div class='ready-mode__img img'>
          <img src='../../assets/img/hub/ready-mode.svg' width='470' height='382'>
        </div>
        <div class='ready-mode__content content'>
          <p class='content__title'>{{ $t('launch')}}</p>
          <p class='content__text'>
            {{ $t('launchText')}}
          </p>
          <base-button @click.native='$router.push({ path: localePath("/cloud"), hash: "#plans" })'>
            {{ $t('chooseBtn')}}
          </base-button>
        </div>
      </div>
    </div>
    <discover-plans />
    <launch-otc />
  </div>
</template>

<script>
import BaseButton from '../base/BaseButton'
import DiscoverPlans from './DiscoverPlans'
import LaunchOtc from './LaunchOtc'
export default {
  components: { LaunchOtc, DiscoverPlans, BaseButton }
}
</script>

<i18n>
{
  "en": {
    "title": "Сhoose a ready-made solution for crypto business",
    "launch": "Launch Cloud Exchange",
    "launchText": "TBCC Cloud is a service that allows partners to launch their own crypto exchange in a few days. The Cloud provides exchange setups that are powered by TBCC's technology, security, and liquidity, allowing partners to focus on their businesses.",
    "chooseBtn": "Choose your plan"
  },
  "ch": {
    "title": "选择一个现成的加密货币业务的解决方案",
    "launch": " 启动云交易所",
    "launchText": "TBCC云是一项服务，允许合作伙伴在几天内推出自己的加密货币交易所。云服务提供的交易所设置由TBCC的技术、安全和流动性提供支持，使合作伙伴能够专注于他们的业务。",
    "chooseBtn": "选择您的计划"
  },
  "tur": {
    "title": "Сhoose a ready-made solution for crypto business",
    "launch": "Launch Cloud Exchange",
    "launchText": "TBCC Cloud is a service that allows partners to launch their own crypto exchange in a few days. The Cloud provides exchange setups that are powered by TBCC's technology, security, and liquidity, allowing partners to focus on their businesses.",
    "chooseBtn": "Choose your plan"
  }
}
</i18n>

<style lang='scss' scoped>
.base-title {
  font-weight: 700;
  font-size: 28px;
  line-height: 125%;
  margin: 0 0 40px;
  text-align: center;
  max-width: 317px;

  @media(min-width: 768px) {
    max-width: 600px;
    margin: 0 0 75px;
  }

  @media (min-width: 1024px) {
    font-size: 45px;
    max-width: 880px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.ready-mode {
  display: flex;
  flex-direction: column;
  align-items: center;

  .ready-mode__wrap {
    width: 100%;
    display: flex;
    align-items: center;
    padding-top: 15px;
    padding-bottom: 110px;

    @media(max-width: 767px) {
      flex-direction: column;
      padding-bottom: 70px;
    }
  }

  &__img,
  &__content {
    flex: 0 0 50%;
    max-width: 50%;

    @media(max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }
}

.content {
  @media(max-width: 767px) {
    display: flex;
    align-items: center;
    flex-direction: column;
  }

  @media(min-width: 768px) {
    padding-left: 15px;
  }

  &__title {
    font-weight: 500;
    font-size: 24px;
    color: #FFFFFF;
    margin: 0 0 30px;

    @media(max-width: 767px) {
      text-align: center;
    }

    @media(min-width: 768px) {
      font-size: 30px;
    }

    @media(min-width: 1024px) {
      font-size: 36px;
    }

  }

  &__text {
    font-size: 16px;
    line-height: 24px;
    color: #6983AB;
    margin: 0 0 40px;
    max-width: 440px;

    @media(max-width: 767px) {;
      text-align: center;
      max-width: 306px;
      margin: 0 0 30px;
    }

    @media(min-width: 1024px) {
      font-size: 18px;
      line-height: 28px;
    }
  }

  button {
    background: #051345;
    padding: 19px 24px;
  }
}

.img {
  img {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 470px;
    max-height: 382px;

    @media(min-width: 1024px) {
      width: 470px;
      height: 382px;
      right: -50px;
    }
  }
}

</style>

